package com.iden.common.enums;

import cn.hutool.core.util.StrUtil;

/**
 * @author wyy
 * @subject
 * @creat 2023/2/19
 */
public enum MarriageEnum {
    /**
     * 婚姻状态
     */
    MARRIED("0","已婚"),
    UNMARRIED("1","未婚");
    private String value;
    private String name;

    MarriageEnum(String value, String name) {
        this.value = value;
        this.name = name;
    }
    public String getValue() {
        return value;
    }

    public String getName() {
        return name;
    }

    public static String getValueToName(String value){
        if (StrUtil.isEmpty(value)){
            return null;
        }
        if (MARRIED.getValue().equals(value)){
            return  MARRIED.name;
        }else if (UNMARRIED.getValue().equals(value)){
            return  UNMARRIED.name;
        }

        return null;
    }

    public static String getNameToValue(String name){
        if (StrUtil.isEmpty(name)){
            return null;
        }
        if (MARRIED.getName().equals(name)){
            return  MARRIED.value;
        }else if (UNMARRIED.getName().equals(name)){
            return  UNMARRIED.value;
        }

        return null;
    }
}
